UltraStaffChat Spigot 1.1.0

This plugin has been discontinued.

  1. Hypera
    Native Minecraft Version:
    1.13
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    This plugin is no longer being maintained.
    This plugin is no longer being developed.
    If you are looking for a alternative, try
    UltraStaffChatPro

Recent Updates

  1. UltraStaffChat - Version 1.1.0

Recent Reviews

  1. ThiccGooose
    ThiccGooose
    5/5,
    Version: 1.1.0
    hehe spicy was very happy with the customer server joshua has provided helping me find a USC alternative.
    1. Hypera
      Author's Response
      Thanks for the review :D
  2. Dearminder
    Dearminder
    3/5,
    Version: 1.1.0
    PAPI support would be something this plugin needs. Like a way to provide own player placeholder
    1. Hypera
      Author's Response
      Hey! Thanks for the review,
      This version is currently outdated and will not be supported for a while,
      There is a new plugin releasing soon called UltraStaffChatPro that will be Universal.
  3. Sqven
    Sqven
    5/5,
    Version: 1.1.0
    ----------------------------------------------------------------------------------
    Demasiado bueno el Plugin, toma tus 5 estrellas campeón
    ..................................................................................................
    1. Hypera
      Author's Response
      Gracias por el comentario! ¬°Disfruta el complemento!
      EN: Thank you for the review! Enjoy the plugin!